Hah! Who needs PPAs? I have my own multimedia+ repo!

Everything about X, Gnome, KDE, ... and everything running on it

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-04-04 19:05

SMtube updated to 18.3.0 for Jessie and Stretch
Added Picard 1.4.2 for Jessie and Stretch
QMPlay2 updated to 18.04.01, no fooling!
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-04-10 18:16

Added Krita 4.0.1 for Stretch. Taking a long time to build, but it was successful on my own machine for MX 17 :) , so should be on the OBS, also.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-04-22 22:58

Good news, everyone!

Azpainter is upgraded to 2.1.2. for Jessie and Stretch.
Vidcutter is upgraded to 5.5.0 for Stretch.
Obs-studio is upgraded to 21.1.1 for Jessie and Stretch.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-04-23 17:37

Good news, everyone!

ffmpeg is being upgraded to 3.4.2 for Stretch, which will trigger rebuilds of everything that builds against its libav* libraries. This is normal. Remain calm. :)

There's now an ffmpeg-4.0 in Debian Experimental, but I'll hold off on that for a while.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-04-25 23:58

VLC has been updated to 3.0.2 for Stretch.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby Innovate » 2018-04-29 08:41

Hello,
Have you prepare gegl 0.4 & 0.1.46? they're require to build for gimp 2.10.0 from source
I knew they've flatpak but that's that other way round.

Seems otto06217 already build those 3

& on the other hand I've stumble upon this by coincidence:
https://salsa.debian.org/gnome-team/gimp they've update to 2.10.0-2 not long ago build2
https://salsa.debian.org/gnome-team/babl
https://salsa.debian.org/gnome-team/gegl

Which /debian template will you package from?
Innovate
 
Posts: 162
Joined: 2015-12-27 01:28
Location: /dev/urandom

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-05-02 01:50

I got the templates from Sid, but I guess you already saw my other thread. I have 2.10 in a separate repo now because some of what I had to backport for this version are important libraries used by many programs, such as libglib2.0, so I didn't want the programs in this repo to depend on those new versions.

Anyway...

SMPlayer updated to 18.4.0 for Jessie and Stretch.

Added Darktable 1.4.3 for Stretch 64-bit. The developers do not support 32-bit.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-05-10 18:52

Krita updated to 4.0.2 for Stretch i386 and amd64 architectures.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-05-12 21:14

Added a separate branch Stretch and Buster repo for ffmpeg 4.X versions and any packages that require it to build. Currently, this is only the 0.28.2 mpv that uses the system ffmpeg instead of an internal build. You would add this as a separate repo in addition to my original backport multimedia repo: https://software.opensuse.org//download ... age=ffmpeg

So to simplify the directions to add this repo on Stretch and install the latest mpv:

As sysadmin, add the repo:

Code: Select all
echo 'deb http://download.opensuse.org/repositories/home:/stevepassert:/ffmpeg4/Debian_9.0/ /' > /etc/apt/sources.list.d/home:stevepassert:ffmpeg4.list

As a regular user, down the repo key:

Code: Select all
rm -f Release.key && wget -nv https://download.opensuse.org/repositories/home:stevepassert:ffmpeg4/Debian_9.0/Release.key -O Release.key


As sysadmin, install the key and update the apt database:

Code: Select all
apt-key add - < Release.key
apt update


If you already have mpv or ffmpeg installed, they will now be upgradable. If not, they can be installed with the standard "apt install <package>" command.

This branch repo may use build-depends from the main one, so they both should be enabled. I didn't want ffmpeg 4 in the main repo, because I'm not sure if all the other packages will be able to build against it yet, and the OBS would force that. Keeping it separate makes everything happy, it seems.

When the packages do make it into Buster, the Debian versions will be seen as higher than mine, and you can upgrade to those instead.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-05-16 01:59

Krita updated to 4.0.3 for Stretch.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Re: Hah! Who needs PPAs? I have my own multimedia+ repo!

Postby stevepusser » 2018-05-17 21:01

Removed VLC, since Debian now has 3.0.2 as a security update for Stretch.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.102, Pale Moon 27.9.2, Enlightenment 0.22, Calligra 3.1, VLC 3.0.2, Firefox 60.0.1, Krita 4.0.3
User avatar
stevepusser
 
Posts: 9546
Joined: 2009-10-06 05:53

Previous

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable